// Browse.h : header file
//

#include "resource.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
// Definition file for CICS COMMAREA object for browse operations
#include "brwcomm.h"
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////
// CBrowse dialog

class CBrowse : public CDialog
{
// Construction
public:
	CBrowse(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBrowse)
	enum { IDD = IDD_BROWSE };
	CString	m_account1;
	CString	m_account2;
	CString	m_account3;
	CString	m_account4;
	CString	m_amount1;
	CString	m_amount2;
	CString	m_amount3;
	CString	m_amount4;
	CString	m_name1;
	CString	m_name2;
	CString	m_name3;
	CString	m_name4;
	CString	m_errormsg;
	CString	m_errormsg2;
	CString	m_errormsg3;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBrowse)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBrowse)
	afx_msg void OnBack();
	afx_msg void OnForward();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Public variables
public:
	// Initial Account number to start browse at
	CString init_acctno;

private:
	// CICS COMMAREA object for browse operations
	brwComm ca;
	void performBrowse(const char brType);
	void getResults(int RC);
};
